<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class iEasou
{
    public $key = '';

    public $params = array(
        array(1, '小说'),
    );

    public function __construct($params = array())
    {
        if (array() !== $params)
        {
            $this->params = $params;
        }
        $esouKeyArray = array(
            '人气美女',
            '粉嫩性感',
            '高清美女写真',
            '90后校花',
            '粉嫩嫩',
            '柔情似水的美女',
            '日本街头美女',
            '香艳',
            '艺校美女',
            '清纯MM',
            '日本美眉',
            '街头性感MM',
            '美眉写真集',
            '性感泳装',
            '妹妹的内裤',
            '纯情女生',
            '夜总会小姐',
            '校园美女',
            '90后非主流',
            '中国性感香车靓女',
            '韩雪写真',
            '吊带美女',
            '疯狂MM',
            '写真美女',
            '床上自拍',
            '可爱淑女',
            '护士MM',
            '美眉躺',
            '性感',
            '夜总会小姐',
            '可爱妹妹',
        );
        shuffle($esouKeyArray);
        $this->key = $esouKeyArray[0];
    }

    public function createElement($text, $cid)
    {
        $input = '<anchor>'.$text.'<go method="get" href="'.url('esou',array('c'=>$cid)).'">
        <postfield name="c" value="'.$cid.'"></postfield>
        <postfield name="keyword" value="$(keyword1)"></postfield>
        </go>
        </anchor>';

        return $input;
    }

    public function show($tag = null)
    {
        $elements = array();
        foreach ($this->params as $key => $value)
        {
            $elements[] = $this->createElement($value[1], $value[0]);
        }

        $tag = is_null($tag) ? $this->key : $tag;
        $string = '<input name="keyword1" format="*m" size="8" maxlength="50" value="'.$tag.'" />';
        return $string . implode('.', $elements);
    }
}